> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-framing-web-ui.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization activity

> Returns a single organization activity by ID.

Returns a single organization activity by ID.


## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/activities/{activityId}
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-1050031
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
  - name: UDF
paths:
  /v1/organizations/{organizationId}/activities/{activityId}:
    get:
      tags:
        - Organization
      summary: Organization activity
      description: Returns a single organization activity by ID.
      operationId: activityGet
      parameters:
        - in: path
          name: organizationId
          description: ID of the requested organization.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: activityId
          description: ID of the requested activity.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/Activity'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    Activity:
      properties:
        id:
          description: Unique activity ID.
          type: string
        createdAt:
          description: Timestamp of the activity. ISO-8601.
          type: string
          format: date-time
        type:
          description: Type of the activity.
          type: string
          enum:
            - create_organization
            - delete_organization
            - organization_update_name
            - transfer_service_in
            - transfer_service_out
            - save_payment_method
            - marketplace_subscription
            - migrate_marketplace_billing_details_in
            - migrate_marketplace_billing_details_out
            - organization_update_tier
            - organization_invite_create
            - organization_invite_delete
            - organization_member_join
            - organization_member_add
            - organization_member_leave
            - organization_member_delete
            - organization_member_update_role
            - organization_member_update_roles
            - organization_member_update_mfa_method
            - organization_saml_connection_create
            - organization_saml_connection_update
            - user_login
            - user_login_failed
            - user_logout
            - key_create
            - key_delete
            - openapi_key_update
            - service_create
            - service_start
            - service_stop
            - service_awaken
            - service_idle
            - service_running
            - service_partially_running
            - service_delete
            - service_update_name
            - service_update_ip_access_list
            - service_update_autoscaling_memory
            - service_update_autoscaling_idling
            - service_update_password
            - service_update_autoscaling_replicas
            - service_update_max_allowable_replicas
            - service_update_backup_configuration
            - service_restore_backup
            - service_update_release_channel
            - service_update_gpt_usage_consent
            - service_update_private_endpoints
            - service_import_to_organization
            - service_export_from_organization
            - service_maintenance_start
            - service_maintenance_end
            - service_update_core_dump
            - service_update_autoscaling_schedule
            - service_update_query_endpoints
            - service_update_direct_connection
            - service_update_sql_console_jwt_auth
            - service_update_snapshot_configuration
            - service_update_collector_ip_access_list
            - service_update_mysql_interface
            - service_update_upgrade_window
            - service_delete_upgrade_window
            - service_trigger_failover
            - service_trigger_recovery
            - service_mcp_enabled
            - service_mcp_disabled
            - service_upgrade
            - service_scaled_down_for_tier_change
            - service_encryption_key_check_failed
            - service_encryption_key_rotation_failed
            - service_encryption_key_rotated
            - service_stop_encryption_key_inaccessible
            - service_restart_encryption_key_rotation
            - backup_delete
            - backup_bucket_create
            - backup_bucket_update
            - backup_bucket_delete
            - backup_bucket_archive
            - warehouse_update_name
            - warehouse_update_release_channel
            - role_create
            - role_update
            - role_delete
            - role_resources_delete
            - organization_member_remove_roles
            - scim_user_profile_update
            - scim_group_create
            - scim_group_update
            - scim_group_delete
            - organization_saml_connection_delete
            - datadog_integration_create
            - datadog_integration_delete
            - organization_update_spend_alert
            - organization_update_core_dumps
            - organization_update_private_endpoints
            - organization_update_pci_compliance
            - organization_update_hipaa_status
            - transfer_credits_in
            - transfer_credits_out
            - promo_code_claim
            - schema_advisor_seed
            - schema_advisor_generate_plan
            - schema_advisor_approve_plan
            - schema_advisor_start_deployment
            - schema_advisor_start_benchmark
            - schema_advisor_run_benchmark
            - schema_advisor_start_promotion
            - schema_advisor_exchange_tables
            - schema_advisor_drop_sandbox
            - udf_create
            - udf_update
            - udf_delete
            - udf_version_create
            - udf_version_delete
            - udf_attach
            - udf_detach
            - udf_update_services
            - udf_redeploy
            - udf_rebuild
        actorType:
          description: 'Type of the actor: ''user'', ''support'', ''system'', ''api''.'
          type: string
          enum:
            - user
            - support
            - system
            - api
        actorId:
          description: Unique actor ID.
          type: string
        actorDetails:
          description: Additional information about the actor.
          type: string
        actorIpAddress:
          description: IP address of the actor. Defined for 'user' and 'api' actor types.
          type: string
        organizationId:
          description: 'Scope of the activity: organization ID this activity is related to.'
          type: string
        serviceId:
          description: 'Scope of the activity: service ID this activity is related to.'
          type: string
        userAgent:
          description: User agent of the actor
          type: string
        targetKeyId:
          description: >-
            For 'openapi_key_update' activities: the ID of the API key that was
            updated.
          type: string
        keyUpdateType:
          description: >-
            For 'openapi_key_update' activities: the type of update that was
            performed.
          type: string
          enum:
            - created
            - deleted
            - name-changed
            - role-changed
            - state-changed
            - date-changed
            - ip-access-list-changed
            - org-role-changed
            - default-service-role-changed
            - service-role-changed
            - roles-v2-changed
        targetRoleIds:
          type: array
          description: 'For role and actor-role activities: IDs of the affected roles.'
          items:
            type: string
        targetRoleNames:
          type: array
          description: >-
            For role and actor-role activities: names of the affected roles,
            when recorded.
          items:
            type: string
        targetActorIds:
          type: array
          description: >-
            For 'organization_member_update_roles' and
            'organization_member_remove_roles' activities: IDs of the affected
            actors (e.g. 'user/<id>').
          items:
            type: string
        targetResourceIds:
          type: array
          description: >-
            For 'role_resources_delete' activities: IDs of the deleted resources
            the roles referenced.
          items:
            type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````